<style scoped="">
.text_slider{
  margin-top: 40px;
}
.text_slider .comm_width{
  display: flex;
  justify-content: center;
}

</style>

<template>
  <div class="text_slider">
    <div class="comm_width">
      <text_slider v-bind:data="datas"></text_slider>
      <!-- <div class="text_slider_ct">
        <div class="text_slider_text_ct">
          <div class="text_slider_text text_slider_text_show">
            一票一投  每一票仅能投给一个节点
          </div>
          <div class="text_slider_text">
            投票分红  参与投票可获得收益
          </div>
          <div class="text_slider_text">
            时间加权  抵押时间越长，投票权重越高
          </div>
          <div class="text_slider_text">
            预算系统  负责审批社区的预算提案申请
          </div>
        </div>
        <div class="text_slider_items_ct">
          <div class="text_slider_pointer_item text_slider_pointer_item_selected"></div>
          <div class="text_slider_pointer_item"></div>
          <div class="text_slider_pointer_item"></div>
          <div class="text_slider_pointer_item"></div>
        </div>
      </div> -->

    </div>
  </div>  
</template>

<script>
import text_slider from '../components/text_slider.vue'
import { get_lang_data_by_key, set_lang } from '@/data/langs/index.js'
let lang = get_lang_data_by_key('en');

export default {
  beforeCreate () {
    lang = get_lang_data_by_key(this.$route.params.lang || 'cn');
  },
  data () {
    return {
      lang,
      datas: [
        lang.data['Each token can only be voted for one node'],
        lang.data['Gain profit by participating in the voting'],
        lang.data['The longer the stake, the higher the voting weight'],
        lang.data['Responsible for approving the applications of community budget proposals']
      ]
    }
  },

  methods: {

  },

  components: {
    text_slider
  }
}
</script>